Subject: Re: bug#64310: 29.0.92; pure-GTK warning under Wayland

From: Eli Zaretskii <[email-masked]>
Date: Thu, 06 Jul 2023 10:12:56 +0300

Ping!  Can we please continue investigating this, as it looks as if it
affects the upcoming Emacs 29?

> Cc: [email-masked]
> From: Pankaj Jangid <[email-masked]>
> Date: Sat, 01 Jul 2023 15:23:56 +0530
> 
> Po Lu <[email-masked]> writes:
> 
> > Pankaj Jangid <[email-masked]> writes:
> >
> >> Exec=sh -c "u=\\$(echo \\"\\$1\\" | sed 's/[\\\\\\"]/\\\\\\\\&/g');
> >> exec emacsclient --alternate-editor= --display=\\"\\$DISPLAY\\"
> >> --eval \\"(message-mailto \\\\\\"\\$u\\\\\\")\\"" sh %u
> >
> > I think this line here is the problem: it will make emacsclient try to
> > use the Xwayland display.  What happens if you delete the `--display'
> > argument from this command line?  Emacsclient should be smart enough to
> > figure out which display to use from the environment alone.
> 
> Nope. I removed the "--display=..."  argument from
> .local/share/emacs/29.0.92/etc/emacsclient-mail.desktop. It did not make
> any difference.
> 
> 
> 
> 
>